use std::collections::HashMap;

use serde::Deserialize;
use serenity::model::prelude::{WebhookId, ChannelId};

#[derive(Debug, Deserialize)]
pub struct DiscordConfig {
	pub token: String,
	#[serde(default)]
	pub webhooks: HashMap<ChannelId, WebhookId>,
}
